Bug 1212788 (CVE-2015-1839) - CVE-2015-1839 salt: insecure /tmp file handling in salt/modules/chef.py
Summary: CVE-2015-1839 salt: insecure /tmp file handling in salt/modules/chef.py
Status: CLOSED NOTABUG
Alias: CVE-2015-1839
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150325,repor...
Keywords: Security
Depends On: 1212789 1212790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 10:14 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:33 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:40:53 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-17 10:14:30 UTC
Michael Scherer of Red Hat reported an insecure /tmp file handling in salt/modules/chef.py in SaltStack.
This issue is fixed in SaltStack version 2014.7.4 with these commits:

https://github.com/saltstack/salt/commit/22d2f7a1ec93300c34e8c42d14ec39d51e610b5c
https://github.com/saltstack/salt/commit/b49d0d4b5ca5c6f31f03e2caf97cef1088eeed81

External References:

http://docs.saltstack.com/en/latest/topics/releases/2014.7.4.html

Acknowledgements:

Red Hat would like to thank Michael Scherer of Red Hat for reporting this issue.

Statement:

This issue did not affect versions of salt as shipped with Red Hat Red Hat Ceph Storage as they did not include the vulnerable module.

Comment 1 Vasyl Kaigorodov 2015-04-17 10:15:38 UTC
Created salt tracking bugs for this issue:

Affects: fedora-all [bug 1212789]
Affects: epel-all [bug 1212790]

Comment 2 Fedora Update System 2016-01-15 23:25:22 UTC
salt-2015.5.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.